"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _default = ({
  cssVarsHash: _cssVarsHash = {}
} = {}) => ({
  postcssPlugin: 'postcss-replace-css-vars',

  Declaration(decl) {
    if (decl.value && typeof decl.value === 'string') {
      decl.value = decl.value.replace(/--\S*/g, match => {
        if (_cssVarsHash[match]) {
          return _cssVarsHash[match];
        }

        return match;
      });
    }
  }

});

exports.default = _default;